#Script to verify phcpy results for L880
#Runtime:~7 hours

#Adjacent Matrix

D880 := Matrix([[0,0,0,1,0,0,0,1,0,1],[0,0,1,0,0,0,1,0,0,1], [0,1,0,0,0,0,1,0,1,0], [1,0,0,0,0,0,0,1,1,0], [0,0,0,0,0,0,1,1,0,1], [0,0,0,0,0,0,1,1,1,0], [0,1,1,0,1,1,0,0,0,0], [1,0,0,1,1,1,0,0,0,0],[0,0,1,1,0,1,0,0,0,1],[1,1,0,0,1,0,0,0,1,0]]):

read "adjacent2dis.mpl";

#Determinantal Variety
CM_all:=adjacent2dis(D880, 2):

#set of equations
K:=CM_all[2]:

#set of triangular inequalities
CM_all2:=adjacent2dis(D880, 1):
K_tr:=CM_all2[2]:

#square subsystem/found in Sage
L_sub:=[62, 84, 102, 174, 203, 206, 210]:
F:=K[L_sub]:


#edge lengths
d10:=[1.0002169,  1.0001366,  1.0004509,  1.0007630, 1.0000575,  1.0006078,  1.0001763,  1.0007500,  1.0008574, 1.0005360, 1.0004910, 1.0002946,  1.0006778, 1.0004699, 1.0002724, 1.0005141, 1.0003913]:

d:=convert(d10,rational):
C:=[seq(d[i]^2,i=1..17)]:

f_check:=eval(F,[seq(c[i]=C[i],i=1..17)]):
vars:=[op(indets(f_check))]:

#find triangle inequalities that involve only variables from vars
vars_exc:=[]:
for i from 1 to 28 do if not x[i] in vars then vars_exc:=[op(vars_exc),x[i]]:fi:od:

K_tr_sub := []:
for i to nops(K_tr) do if degree(K_tr[i], vars_exc) = 0 then K_tr_sub := [op(K_tr_sub), K_tr[i]] fi: od:

f_tr_check:=eval(K_tr_sub,[seq(c[i]=C[i],i=1..17)]):

with(RootFinding):
rsols := Isolate(f_check, vars):

#nops(rsols)=434 real solutions

for i to nops(rsols) do temp1 := min([seq(op(rsols[i][j])[2], j = 1 .. 7)]); if min(temp1) <= 0 then print(temp1) fi:od:
#no negative or zero length

for i to nops(rsols) do temp := max(eval(K_tr_sub, [seq(c[j] = C[j], j = 1 .. 17), seq(vars[j] = op(rsols[i][j])[2], j = 1 .. 7)])); if temp > 0 then print(temp) fi: od:

#violation of triangular inequalities in 4 cases









